CREATE TABLE ben_per_benefit_group_f (
    LE_BENEFIT_GROUP_ID          NUMBER(18, 0),
    PERSON_ID                    NUMBER(18, 0)    NOT NULL,
    LEGISLATIVE_DATA_GROUP_ID    NUMBER(18, 0),
    BENEFIT_GROUP_ID             NUMBER(18, 0),
    EFFECTIVE_START_DATE         DATE         ,
    EFFECTIVE_END_DATE           DATE         ,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    BUSINESS_GROUP_ID            NUMBER(18, 0)    NOT NULL,
    LE_BENEFIT_GROUP_ID          NUMBER(18, 0),
    PERSON_ID                    NUMBER(18, 0)    NOT NULL,
    LEGISLATIVE_DATA_GROUP_ID    NUMBER(18, 0),
    BENEFIT_GROUP_ID             NUMBER(18, 0),
    EFFECTIVE_START_DATE         DATE         ,
    EFFECTIVE_END_DATE           DATE         ,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    BUSINESS_GROUP_ID            NUMBER(18, 0)    NOT NULL,
    CONSTRAINT pk_ben_per_benefit_group_f PRIMARY KEY (LE_BENEFIT_GROUP_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, LE_BENEFIT_GROUP_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE)
);
